Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#50810 - [qtcreator] Needs qt5-translations

Attached to Project: Arch Linux
Opened by Hongyu.Du (dongfengweixiao) - Saturday, 17 September 2016, 11:23 GMT
Last edited by Sven-Hendrik Haase (Svenstaro) - Monday, 19 September 2016, 16:58 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Sven-Hendrik Haase (Svenstaro)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:Can not switch to other language


Additional info:
* 4.1.0
This task depends upon

Closed by  Sven-Hendrik Haase (Svenstaro)
Monday, 19 September 2016, 16:58 GMT
Reason for closing:  Fixed
Comment by Alexander Schnaidt (Namarrgon) - Saturday, 17 September 2016, 11:53 GMT
The translated strings are in extra/qt5-translations which should probably be an optional dependency.
Comment by Antonio Rojas (arojas) - Saturday, 17 September 2016, 12:09 GMT
No, qtcreator ships its own translations. Works fine for me, can you describe what your issue is exactly?
Comment by Alexander Schnaidt (Namarrgon) - Saturday, 17 September 2016, 13:02 GMT
The 'Language' dropdown list only offers 'English' as long as 'qt5-translations' is not installed. Apparently the qt_<LANGUAGECODE>.qm files in /usr/share/qt/translations/ are needed.
Comment by Alexander Schnaidt (Namarrgon) - Saturday, 17 September 2016, 13:38 GMT
The 'Language' dropdown list only offers 'English' as long as 'qt5-translations' is not installed. Apparently the qt_<LANGUAGECODE>.qm files in /usr/share/qt/translations/ are needed.
Comment by Antonio Rojas (arojas) - Saturday, 17 September 2016, 14:29 GMT
Ah, right. I forgot I had qt5-translations installed.

Loading...